This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 627171 - [or_IN] Oriya (or-IN) fonts do not render correctly.
[or_IN] Oriya (or-IN) fonts do not render correctly.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
: i18n
Depends On: 623995 639977
Blocks: 636399
  Show dependency treegraph
 
Reported: 2010-08-25 05:30 EDT by A S Alam
Modified: 2013-07-02 21:03 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 623995
Environment:
Last Closed: 2010-10-01 12:42:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch fixes indicPosition of oriya characrers (1.16 KB, patch)
2010-09-22 05:29 EDT, Pravin Satpute
no flags Details | Diff
qt application (kwrite) showing FIXED (124.28 KB, image/png)
2010-10-01 12:41 EDT, A S Alam
no flags Details

  None (edit)
Comment 1 A S Alam 2010-08-25 05:32:23 EDT
Image: https://bugzilla.redhat.com/attachment.cgi?id=440312
Comment 2 Pravin Satpute 2010-09-10 05:25:31 EDT
upstream bug id: http://bugreports.qt.nokia.com/browse/QTBUG-13542
Comment 3 Pravin Satpute 2010-09-22 05:29:48 EDT
Created attachment 448887 [details]
patch fixes indicPosition of oriya characrers

Oriya script many characters has below based form, but it is specified wrongly in indicPositions, thats why sequence is not getting reordered properly.

I have identified the characters having below base form and updated it.
Comment 4 Ngo Than 2010-09-27 07:45:41 EDT
it's fixed in qt-4.7.0-3.fc13, http://koji.fedoraproject.org/koji/buildinfo?buildID=196716.
could someone please test it? Thanks
Comment 5 Parag Nemade 2010-10-01 05:33:19 EDT
mgiri,
    This bug has been fixed in qt-4.7.0-3.fc14. Can you please install this new
package by using following command and test it and provide your feedback here?

yum -y install --enablerepo=updates-testing qt
Comment 6 Manoj Kumar Giri 2010-10-01 06:25:55 EDT
(In reply to comment #5)
> mgiri,
>     This bug has been fixed in qt-4.7.0-3.fc14. Can you please install this new
> package by using following command and test it and provide your feedback here?
> 
> yum -y install --enablerepo=updates-testing qt

Tested as per the instructions. It is working fine now.

Thanks!
Manoj
Comment 7 A S Alam 2010-10-01 12:41:28 EDT
Created attachment 451057 [details]
qt application (kwrite) showing FIXED
Comment 8 A S Alam 2010-10-01 12:42:06 EDT
tested package: qt-4.7.0-3.fc14.x86_64

Note You need to log in before you can comment on or make changes to this bug.